# Zarafa Webapp FileViewer Plugin

This plugin will provide a preview panel for PDF and ODF files based on [ViewerJS].
ViewerJS has been updated to support image, music and video files. Those files can only be previewed in the
Zarafa Files plugin for the moment.

### Current Version
1.0.3 (06.2015)

### Installation

#### Installation for Ubuntu/Debian

To install the fileviewer plugin, add the following repository to your apt list:

http://packages.sprinternet.at:82

```sh
$ wget packages.sprinternet.at/packages.sprinternet.key > packages.sprinternet.key

$ sudo apt-key add packages.sprinternet.key

$ echo "deb http://packages.sprinternet.at:82 trusty main" | sudo tee -a /etc/apt/sources.list

$ sudo apt-get update

$ sudo apt-get install zarafa-webapp-plugins-fileviewer
```

#### Manual Installation

This steps are show for debian bases systems. It should be similar to all other systems.

Install the plugin to Zartafa Webapp. Therefore copy the whole folder **'fileviewer'** to the Webapp plugin directory:

```sh
$ sudo cp -r fileviewer /usr/share/zarafa-webapp/plugins/
```

If you are running a precompiled WebApp you have to run "ant deploy" in the rootfolder of the fileviewer plugin before copying it.

Now you have the plugin installed. Restart the webserver (optional) and continue configuring the fileviewer plugin.

```sh
$ sudo service apache2 restart
```

### Configuration
The plugin configuration can be found in the **'config.php'** file.
> define('PLUGIN_FILEVIEWER_USER_DEFAULT_ENABLE', true);

This configuration flag will enable the plugin by default for all users. If this is set to false, each user has to enable 
the plugin by itself in the Webapp settings. (Settings -> Plugins -> Check the fileviewer plugin)

### License

AGPL


[ViewerJS]:http://viewerjs.org/
